%global momorel 4
%global srcname OpenCV

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Intel(R) Open Source Computer Vision Library.
Name: opencv

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/opencv.specopt and edit it.

## Configuration
%{?!do_test:            %global do_test                    0}
%{?!with_ffmpeg:        %global with_ffmpeg                1}
%{?!with_python:        %global with_python                1}
%{?!with_libdc1394:     %global with_libdc1394             1}
%{?!with_xine:          %global with_xine                  1}

Version: 2.0.0
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: Modified BSD
URL: http://opencv.willowgarage.com/wiki/
Source0: http://dl.sourceforge.net/project/%{name}library/%{name}-unix/2.0/%{srcname}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-cmake-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake
BuildRequires: gtk2-devel
%if %{with_ffmpeg}
BuildRequires: ffmpeg-devel
%endif
BuildRequires: jasper-devel
BuildRequires: libucil-devel
%if %{with_libdc1394}
BuildRequires: libdc1394-devel
BuildRequires: libraw1394-devel
%endif
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libpng-devel
BuildRequires: libquicktime-devel
BuildRequires: libtheora-devel
BuildRequires: libtiff-devel
BuildRequires: libvorbis-devel
BuildRequires: pkgconfig
%if %{with_python}
BuildRequires: python-devel
%endif
%if %{with_python}
BuildRequires: swig
%endif
%if %{with_xine}
BuildRequires: xine-lib-devel
%endif
BuildRequires: zlib-devel

%description 
This is the Intel(R) Open Source Computer Vision Library, a collection
of algorithms for image processing and computer vision. 

%package devel
Summary: Intel(R) Open Source Computer Vision Library Development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The opencv-devel package contains the header files and documentation
needed to develop applications with opencv.

%if %{with_python}
%package python
Summary: Intel(R) Open Source Computer Vision Library Development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description python
The opencv-devel package contains the header files and documentation
needed to develop applications with opencv.
%endif

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .libdir

%build
%ifarch %{ix86}
export CXXFLAGS="%{optflags} -m32 -fasynchronous-unwind-tables"
%endif

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DENABLE_OPENMP=1 \
	-DWITH_GSTREAMER=0 \
	-DWITH_FFMPEG=%{with_ffmpeg} \
	-DWITH_1394=%{with_libdc1394} \
	-DWITH_XINE=%{with_xine} \
%if %{with_python}
	-DBUILD_SWIG_PYTHON_SUPPORT=1 \
	-DINSTALL_C_EXAMPLES=1 \
	-DINSTALL_PYTHON_EXAMPLES=1 \
%endif
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%check
%if %{do_test}
make check || :
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/%{name}_createsamples
%{_bindir}/%{name}_haartraining
%{_bindir}/%{name}_performance
%{_bindir}/%{name}_traincascade
%{_libdir}/libcv.so.*
%{_libdir}/libcvaux.so.*
%{_libdir}/libcxcore.so.*
%{_libdir}/libhighgui.so.*
%{_libdir}/libml.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/haarcascades
%{_datadir}/%{name}/lbpcascades

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libcv.so
%{_libdir}/libcvaux.so
%{_libdir}/libcxcore.so
%{_libdir}/libhighgui.so
%{_libdir}/libml.so
%{_datadir}/%{name}/doc
%{_datadir}/%{name}/samples
%{_datadir}/%{name}/OpenCVConfig.cmake

%if %{with_python}
%files python
%defattr(-,root,root)
%{python_sitearch}/%{name}
%{python_sitearch}/cv.so
%endif

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-4m)
- full rebuild for mo7 release

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-3m)
- rebuild against libjpeg-8a

* Fri Mar 12 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.0-2m)
- add with_libdc1394 and with_xine switch

* Mon Mar  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-1m)
- version 2.0.0
- remove merged gcc44.patch
- import cmake-libdir.patch from Fedora
- good-bye autotools and hello cmake

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-13m)
- delete __libtoolize hack

* Wed Dec  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-12m)
- change BR from xine-lib to xine-lib-devel

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-11m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.0-10m)
- rebuild against libjpeg-7

* Sun May 31 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-9m)
- fix build with new libtool

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-8m)
- apply gcc44 patch
- License: Modified BSD

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-7m)
- rebuild against rpm-4.6

* Sun Dec 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-6m)
- go to main for kipi-plugins4
- build without ffmpeg for the moment
- modify specopt, URL, BR, configure %%install and %%files section
- add %%post and %%postun

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-4m)
- %%NoSource -> NoSource

* Sat Jun 16 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-3m)
- Added %dir tags

* Thu Apr 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-2m)
- revise spec
-- fix source url
-- add %%check section
 
* Fri Jan  5 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-1m)
- Initial import
